Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.gemini.blueprint.service.importer.support
Class Cardinality

    java.lang.Object
      org.springframework.core.enums.AbstractLabeledEnum
          org.springframework.core.enums.StaticLabeledEnum
              org.eclipse.gemini.blueprint.service.importer.support.Cardinality

All Implemented Interfaces:
  Serializable, Comparable, org.springframework.core.enums.LabeledEnum

Deprecated. as of Spring DM 2.0, replaced by `Availability`

    public class Cardinality

extends org.springframework.core.enums.StaticLabeledEnum

Enum-like class containing the OSGi importer services cardinality. Indicates the number of expected matching services and whether the presence is mandatory or not.

Author:
  Costin Leau
See Also:
  Serialized Form

Field Summary
`static Cardinality` | `C_0__1` Deprecated. Optional, single cardinality.
`static Cardinality` | `C_0__N` Deprecated. Optional, multiple cardinality.
`static Cardinality` | `C_1__1` Deprecated. Mandatory, single cardinality.
`static Cardinality` | `C_1__N` Deprecated. Mandatory, multiple cardinality.

Fields inherited from interface org.springframework.core.enums.LabeledEnum
`CODE_ORDER, DEFAULT_ORDER, LABEL_ORDER`

Method Summary
`boolean` | `isMandatory()` Deprecated. Indicates if this cardinality implies that at least one service is expected (mandatory cardinality).
`boolean` | `isMultiple()` Deprecated. Indicates if this cardinality implies that multiple services are expected.
`boolean` | `isOptional()` Deprecated. Indicates if this cardinality implies that is acceptable for no matching services to be found.
`boolean` | `isSingle()` Deprecated. Indicates if this cardinality implies that at most one service is expected.

Methods inherited from class org.springframework.core.enums.StaticLabeledEnum
`getCode, getLabel, readResolve, shortValue`

Methods inherited from class org.springframework.core.enums.AbstractLabeledEnum
`compareTo, equals, getType, hashCode, toString`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

Field Detail

### C_0__1

    public static final Cardinality C_0__1

  Deprecated.
  Optional, single cardinality. At most one OSGi service is expected. This cardinality indicates an OSGi service reference proxy.

### C_0__N

    public static final Cardinality C_0__N

  Deprecated.
  Optional, multiple cardinality. Zero, one or multiple OSGi services are expected. This cardinality indicates an OSGi service managed collection.

### C_1__1

    public static final Cardinality C_1__1

  Deprecated.
  Mandatory, single cardinality. Exactly one OSGi service is expected. This cardinality indicates an OSGi service reference proxy.

### C_1__N

    public static final Cardinality C_1__N

  Deprecated.
  Mandatory, multiple cardinality. At least one OSGi service is expected. This cardinality indicates an OSGi service managed collection.

Method Detail

### isSingle

    public boolean isSingle()

  Deprecated.
  Indicates if this cardinality implies that at most one service is expected.

  Returns:
    true if the given cardinality is single, false otherwise

### isMultiple

    public boolean isMultiple()

  Deprecated.
  Indicates if this cardinality implies that multiple services are expected.

  Returns:
    true if this cardinality is multiple, false otherwise

### isMandatory

    public boolean isMandatory()

  Deprecated.
  Indicates if this cardinality implies that at least one service is expected (mandatory cardinality).

  Returns:
    true if this cardinality is mandatory, false otherwise

### isOptional

    public boolean isOptional()

  Deprecated.
  Indicates if this cardinality implies that is acceptable for no matching services to be found.

  Returns:
    true if this cardinality is optional, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2012. All Rights Reserved.